@import "variables";

// mixin for input field
@mixin input(
  $border__color: $color__darkGray,
  $outline: $color__blue,
  $width: 100%,
  $height: 40px
) {
  font-size: 1rem;
  color: #2a2a2a;
  font-weight: normal;
  padding: 15.5px 0 15.5px 12px;
  width: $width;
  height: $height;
  border: 1px solid $border__color;
  border-radius: 4px;
  &:focus {
    border: 1.5px solid $outline;
    outline: 2px solid $outline;
  }
}

// mixins for buttons
@mixin buttons(
  $display: inline-flex,
  $align_items: center,
  $justify_content: center,
  $background: $primary__500,
  $hoverBackground: $primary__600,
  $border: null,
  $color: $neutral__100,
  $hoverColor: $neutral__100,
  $padding: 9.5px 24px,
  $borderRadius: 4px
) {
  @if $border != null {
    border: $border;
  } @else {
    border: none;
  }
  display: $display;
  align-items: $align_items;
  justify-content: $justify_content;
  color: $color;
  background: $background;
  border-radius: $borderRadius;
  padding: $padding;
  &:hover {
    background: $hoverBackground;
    color: $hoverColor;
  }
}

// fonts/text mixins

@mixin font__style(
  $color: $neutral__900,
  $font-family: $primary__font__family,
  $display: inline,
  $font-weight: normal,
  $font-size: 2.5rem,
  $font-style: normal,
  $line-height: 125%,
  $letter-spacing: null,
  $text-transform: none,
  $font-feature-settings: "salt" on
) {
  color: $color;
  display: $display;
  font-family: $font-family;
  font-style: $font-style;
  font-weight: $font-weight;
  font-size: $font-size;
  line-height: $line-height;
  letter-spacing: $letter-spacing;
  text-transform: $text-transform;
  font-feature-settings: $font-feature-settings;
}

@mixin input__style(
  $width: 100%,
  $height: 40px,
  $margin: 8px 0,
  $padding: 10px 12px,
  $border_width: 1.5px,
  $border_style: solid,
  $border_color: $primary__500,
  $border: "true",
  $outline: none
) {
  width: $width;
  height: $height;
  margin: $margin;
  padding: $padding;
  border-radius: 4px;

  @include wx__border(
    $border_width: $border_width,
    $border_style: $border_style,
    $border_color: $border_color,
    $border: $border
  );

  &:focus {
    outline: $outline;
  }
}

@mixin wx__border(
  $border_width: 1.5px,
  $border_style: solid,
  $border_color: $primary__500,
  $border: "true"
) {
  @if ($border == "true") {
    border: $border_width $border_style $border_color;
  } @else {
    border: none;
  }
  // border: $border_width $border_style $border_color;
}
